LibreOffice Writer 3.5.4 bug

Questions about applications and software
Forum rules
Before you post please read how to get help

LibreOffice Writer 3.5.4 bug

Postby rudar on Tue Nov 27, 2012 3:08 am

Hello! I need your advice with the following matter.
Although I'm happy with LO at home, my job requires me to use MS Office at work (I use Word 2003 there). Therefore I save all my documents written in LO Writer 3.5.4 in MS Word format. Things work fine with MS Word, apart from annoying problem that MS Word adds one completely unnecessary extra-space at the beginning of each footnote (just after the number of the footnote and before the text of the footnote). I must delete it manually, one after another, and it's not pleasant dealing with text with more than 100 footnotes. I tried to settle it in Writer with F11, Footnotes, Indents and Spacing, give 0 before and after text, but nothing has changed. Any idea, please?
There is one more problem with LO Writer: every time I open my text in Writer, some parts in main body of the text at random are given in Superscript, while they should stay in Normal script. At first I was unable to settle this matter, apart from highlighting them with mouse and then pressing Ctrl+Shift+P, which would put them back in Normal. However, every time I open my document in Writer, I would have to repeat the same procedure.
It seems I have finally found a solution, for there is a bug in Writer 3.5.4, as it is explained here: https://bugs.freedesktop.org/show_bug.cgi?id=50285
I wonder now do I have to wait for the upcoming UP6 with LMDE (as I suppose it will contain a newer, bug-fixed version of LO), or I should upgrade my existing version of LO 3.5.4 to 3.6, or, at least, 3.5.8. If I have to upgrade LO, please tell me how, precisely. Thank you very much.
Last edited by rudar on Thu Nov 29, 2012 4:01 am, edited 1 time in total.
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Linux Mint is funded by ads and donations.
 

Re: LibreOffice Writer 3.5.4 bug

Postby nomko on Tue Nov 27, 2012 3:44 am

Best is tyo update your LO version to the latest version available now which is version 3.6. You can do this by adding the following PPA manually using the terminal.

Type in (or copy/paste in the terminal):
Code: Select all
sudo add-apt-repository ppa:libreoffice/ppa

Press Enter and follow the instructions given in the terminal

Then type:
Code: Select all
sudo apt-get update

Press Enter

Then type:
Code: Select all
sudo apt-get install libreoffice libreoffice-gnome

Press Enter

This will fix a lot of bugs you run into with your version. Good luck!
Advantage with this ppa: you will always get the latest version of LibreOffice.
MSI GE70-2PE*Quad core Intel Core i7-4710HQ*Kingston 16 GB RAM*Intel 4th Gen. Integr. GPU/NVidia GeForce GTX860M*Qualcomm Atheros Killer E2200/Intel Wireless 3160*Sitecom X5-N600 Router (WLR-5100)
Linux tips and tricks
User avatar
nomko
Level 9
Level 9
 
Posts: 2949
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: LibreOffice Writer 3.5.4 bug

Postby rudar on Tue Nov 27, 2012 4:16 am

Thank you very much. I will follow your advice, though I admit I was more satisfied in my work with LO 3.4 than with LO 3.5. It seemed more reliable and there were no serious bugs (apart from this issue with unnecessary extra-spaces added in MS Word at the beginning of each footnote). I only hope there won't be some unpleasant surprises with the new version, LO 3.6. Cheers!
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Re: LibreOffice Writer 3.5.4 bug

Postby rudar on Wed Nov 28, 2012 1:00 pm

Sorry, it was not good. I tried your advice, but nothing happened. I only received a message that I already have the newest version of the LibreOffice, which is not true, for I have 3.5.4, while the newest is 3.6. This may be so because I'm using LMDE and you use LM 13, so my repositories are connected with Debian, not with Ubuntu. I will try to install LibreOffice 3.6 directly from their site.
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Re: LibreOffice Writer 3.5.4 bug

Postby rudar on Wed Nov 28, 2012 1:34 pm

No, I failed with installation of 3.6.2. Here is what I got:

rudar@rudarlmde ~/LibO_3.6.3.2_Linux_x86-64_install-rpm_en-US $ sudo dpkg -i *.deb
[sudo] password for rudar:
dpkg: error processing *.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
*.deb
rudar@rudarlmde ~/LibO_3.6.3.2_Linux_x86-64_install-rpm_en-US $

At the end, I turned back to the old 3.5.4. I don't know what to do.
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Re: LibreOffice Writer 3.5.4 bug

Postby rudar on Wed Nov 28, 2012 4:44 pm

I have finally managed to install my 'brand-new' version of Libre Office 3.6.3. It gave me some pain, but I did it at the end, after downloading from their official site. Unfortunately, it seems it hasn't settled the matter with that awful Superscript in the main body of my text, when only Normal should come. I guess I should ask for advice at official pages of the Libre Office.
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Re: LibreOffice Writer 3.5.4 bug

Postby nomko on Thu Nov 29, 2012 3:46 am

rudar wrote:No, I failed with installation of 3.6.2. Here is what I got:

rudar@rudarlmde ~/LibO_3.6.3.2_Linux_x86-64_install-rpm_en-US $ sudo dpkg -i *.deb
[sudo] password for rudar:
dpkg: error processing *.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
*.deb
rudar@rudarlmde ~/LibO_3.6.3.2_Linux_x86-64_install-rpm_en-US $

At the end, I turned back to the old 3.5.4. I don't know what to do.


You downloaded a .rpm package which is not intended for Ubuntu/Mint/Debian but for Red Hat and Red Hat derivatives like Fedora.

You always need to download .deb packages. That is what you did wrong here.
MSI GE70-2PE*Quad core Intel Core i7-4710HQ*Kingston 16 GB RAM*Intel 4th Gen. Integr. GPU/NVidia GeForce GTX860M*Qualcomm Atheros Killer E2200/Intel Wireless 3160*Sitecom X5-N600 Router (WLR-5100)
Linux tips and tricks
User avatar
nomko
Level 9
Level 9
 
Posts: 2949
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: LibreOffice Writer 3.5.4 bug

Postby nomko on Thu Nov 29, 2012 3:49 am

rudar wrote:I have finally managed to install my 'brand-new' version of Libre Office 3.6.3. It gave me some pain, but I did it at the end, after downloading from their official site. Unfortunately, it seems it hasn't settled the matter with that awful Superscript in the main body of my text, when only Normal should come. I guess I should ask for advice at official pages of the Libre Office.


I know that some options of MS Word aren't well supported by L.O. or O.O. Maybe the super-/subscript is one of those things.
MSI GE70-2PE*Quad core Intel Core i7-4710HQ*Kingston 16 GB RAM*Intel 4th Gen. Integr. GPU/NVidia GeForce GTX860M*Qualcomm Atheros Killer E2200/Intel Wireless 3160*Sitecom X5-N600 Router (WLR-5100)
Linux tips and tricks
User avatar
nomko
Level 9
Level 9
 
Posts: 2949
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: LibreOffice Writer 3.5.4 bug

Postby rudar on Thu Nov 29, 2012 3:58 am

Yes, it's true, I had the wrong version and discovered the right one later, with someone else's help. As far as 'my' bug is concerned, here is something more about it: https://bugs.freedesktop.org/show_bug.cgi?id=50285. But I don't understand, they should have fixed it already with the version 3.5.4, and now I have LO 3.6.3. and yet it doesn't seem right. I'll have to check it again.
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Re: LibreOffice Writer 3.5.4 bug

Postby nomko on Thu Nov 29, 2012 4:19 am

You said you add LO manually, did you add the PPA as well => viewtopic.php?f=190&t=118069&p=653590#p652687.

And what happens when you first remove LO and then install the latest version again.

And that you link provied, it seems to me that is has been fixed and it looks like some path has been purged in LO 3.5 and made avalaible from LO version 3.5.8... That's my interpretation...
MSI GE70-2PE*Quad core Intel Core i7-4710HQ*Kingston 16 GB RAM*Intel 4th Gen. Integr. GPU/NVidia GeForce GTX860M*Qualcomm Atheros Killer E2200/Intel Wireless 3160*Sitecom X5-N600 Router (WLR-5100)
Linux tips and tricks
User avatar
nomko
Level 9
Level 9
 
Posts: 2949
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: LibreOffice Writer 3.5.4 bug

Postby rudar on Thu Nov 29, 2012 4:38 am

No, I did not add PPA. When I wrote down to terminal the lines you gave me, I got the answer that the newest version is already installed. Since this was the old 3.5.4 version (which I did not like due to bug), I simply downloaded and installed the 3.6.3 version from www.libreoffice.org. I realise they say in the bug report that they made a patch for the version 3.5.8, but I assumed it should work as well in the latest available version, in 3.6.3. Therefore I removed (uninstalled) 3.5.4 and then preferred to install this one, 3.6.3. That's it, I'm afraid.
LMDE Mate
rudar
Level 2
Level 2
 
Posts: 58
Joined: Thu Sep 27, 2012 7:34 am

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 1 guest